package com.crm.globex.service;

import com.crm.rely.backend.core.entity.manager.callback.FinanceCallbackEntity;
import com.crm.rely.backend.core.exception.ServiceException;

public interface FinanceTransferService {
    void scheduleUpdateTransfer() throws ServiceException;

    void scheduleAutomaticTransferDeposit() throws ServiceException;

    void scheduleAutomaticTransferWithdraw() throws ServiceException;

    void callbackAutomaticTransferAmount(FinanceCallbackEntity callbackEntity) throws ServiceException;
}
